Subject: Re: Postgres Replication from windows to linux

From: Peter Eisentraut <[email-masked]>
Date: Wed, 12 Jan 2022 14:38:29 +0100

On 10.01.22 19:56, rajesh singarapu wrote:
> I am trying to migrate my postgres to linux, as we are moving away from 
> windows.
> I am trying both dump/restore  and logical decoding, but people are not 
> happy with performance.
> Is there a way/tooling I can use around WAL shipping/physical 
> replication here ?

Cross-platform physical replication is always risky.  It might work, but 
there is no easy way to find out whether everything is ok afterwards.

Aside from the issue of possible storage format differences, I would 
also be worried about locale differences affecting text sort order.